<?php

namespace App\Controller;

use App\Service\AnkiService;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;

#[Route('/anki', name: 'app_anki_')]
class AnkiController extends AbstractController
{
    function __construct(
        private AnkiService $ankiService,
    ) {}

    #[Route('/', name: 'main')]
    public function index(): Response
    {
        $note = $this->ankiService->getLatestNote();

        $this->ankiService->updateNote($note);

        dd($note);
        dd($note->toAnki());

        return $this->render('anki/index.html.twig', [
            'controller_name' => $latestId,
        ]);
    }

    #[Route('/note/{nid}/get', name: 'get_note')]
    public function get_note(int $nid)
    {
        dd($this->ankiService->getNote($nid));
    }
}
